@import "./variables";
@import "./mixins/mixins";

:root {
  --main-color: #fff;
  --background-color: #e5e5e5;
  --text-color: #2d2d2d;
}

body {
  background-color: var(--background-color);
  color: var(--text-color);
}

html,
body {
  height: 100%;
  font-size: $font-size-base;
}

body {
  // background: $body-background-color !important;
  position: relative;
  font-family: $font-stack-en;
  letter-spacing: 0.2px;
  height: auto;
  color: $default-text-color;
  padding-bottom: 336px;
  min-height: 100vh;
  text-rendering: optimizeLegibility;
  &.pushable {
    background: $body-background-color !important;
    & > .pusher {
      background: transparent !important;
      padding-bottom: 400px !important;
      &.dimmed {
        height: 100vh;
      }
    }
  }
}
@include respond-above(lg) {
  body {
    .footer-fix {
      padding-bottom: 56px;
    }
  }
}
@include respond-between(md, lg) {
  body {
    .footer-fix {
      padding-bottom: 64px;
    }
  }
}
@include respond-between(sm, md) {
  body {
    .footer-fix {
      padding-bottom: 112px;
    }
  }
}
@include respond-above(sm) {
  body {
    padding-bottom: 168px;
    .pusher {
      padding-bottom: 240px !important;
    }
    .footer-fix {
      min-height: calc(100vh - 168px);
      padding-bottom: $base-block-space * 4;
    }
    .sb-mid-container-min-height{
      min-height: calc(100vh - 288px);
      margin-bottom: -($base-block-space * 4) !important;
    }
  }
}
@include respond-below(sm) {
  .footer-fix {
    min-height: calc(100vh - 336px);
    padding-bottom: $base-block-space * 3;
  }
}
.sb-offline {
  padding-bottom: 145px;
  .footer-fix {
    min-height: calc(100vh - 180px);
  }
}

*[lang="en"] body {
  font-family: $font-stack-en;
}

*[lang="hi"] body {
  font-family: $font-stack-hi;
}

*[lang="ur"] body {
  font-family: $font-stack-ur;
}


.publicmenusection.ui.secondary.menu .active.item {
  color: $primary-color;
  text-transform: capitalize;
}
.publicmenusection.ui.secondary.vertical.menu > .item {
  text-transform: capitalize;
}

.sb-placeholder{
  justify-content: center !important;
}
[dir="rtl"] {
  .sb-explore-qr-container{
    .dial-section-column {
      border-right:0px solid rgba(51, 51, 51,0.1) !important;
      border-left:1px solid rgba(51, 51, 51,0.1);
    }
  }
}

[dir="ltr"] {
  .sb-explore-qr-container{
    .dial-section-column {
      border-left:0px solid rgba(51, 51, 51,0.1);
      border-right:1px solid rgba(51, 51, 51,0.1);
    }
  }
}
.description.annannouncement-description{
  .sb-label-status-error {
    color: $sb-label-status-error-color;
    font-size: 11px;
  }

  .sb-label-12size {
    font-size: 11px;
  }
}
// don't delete this 
.iziModal-isAttached{
  body{
    overflow: hidden;
  }
}
.sb-prominent-filter{
  .accordion {
    .content {
      padding: .5em 0 0 0;
    }
  }
}

//layout
@media only screen and (max-width: 1199px) and (min-width: 768px){
  .ui.container {
      width: 90%;
      margin-left: auto !important;
      margin-right: auto !important;
  }
  }
  
// calender styles
.ui.calendar .ui.celled.table tr td, .ui.calendar .ui.celled.table tr th {
  cursor:pointer;
  }
  .ui.calendar .ui.table tr td.disabled, .ui.calendar .ui.table tr.disabled td, .ui.calendar .ui.table tr.disabled:hover, .ui.calendar .ui.table tr:hover td.disabled {
  cursor:default
  }



// no-reult scss//
.no-reult-container {
  width: 100%;

  &__content{
    width: 100%;
    max-width: 360px;
  }
  .docs-sectionHeading
  &__para {
    color: var(--gray-800);
    font-size: 0.875rem;
  }
}
